package electrosphere.game.client.player;

import electrosphere.logger.LoggerInterface;

public class ClientPlayerData {
    int worldPositionX;
    int worldPositionY;
    int simulationRadius = 3;
    
    boolean loaded = false;
    
    public ClientPlayerData(){
    }
    
    public boolean hasLoaded(){
        return loaded;
    }
    
    public void setWorldPosition(int x, int y){
        worldPositionX = x;
        worldPositionY = y;
        LoggerInterface.loggerGameLogic.INFO("Loaded client data");
        loaded = true;
    }

    public int getWorldPositionX() {
        return worldPositionX;
    }

    public int getWorldPositionY() {
        return worldPositionY;
    }
    
    
}
